StarItemPoolInternal::Version Struct Reference

small struct used to keep a list of version More...

## Public Member Functions

| Version (int vers, int start, std::vector< int > const &list)
| constructor

## Public Attributes

int | m_version
| the version number
int | m_start
| int the start value
std::vector< int > | m_list
| the list of value
std::map< int, int > | m_invertListMap
| a map offset to which

## Detailed Description

small struct used to keep a list of version

## Constructor & Destructor Documentation

## Version()

StarItemPoolInternal::Version::Version | ( | int | vers,
|  | int | start,
|  | std::vector< int > const & | list )

inline

constructor

## Member Data Documentation

## m_invertListMap

std::map<int,int> StarItemPoolInternal::Version::m_invertListMap

a map offset to which

Referenced by StarItemPoolInternal::State::addVersionMap(), StarItemPoolInternal::State::getWhich(), and Version().

## m_list

std::vector<int> StarItemPoolInternal::Version::m_list

the list of value

Referenced by Version().

## m_start

int StarItemPoolInternal::Version::m_start

int the start value

Referenced by StarItemPoolInternal::State::getWhich(), and Version().

## m_version

int StarItemPoolInternal::Version::m_version

the version number

Referenced by StarItemPoolInternal::State::getWhich(), and Version().

The documentation for this struct was generated from the following file:

- StarItemPool.cxx